# List available job outputs

Lists downloadable output types, locales, formats, and endpoints.

URL: /reference/job-outputs/listJobOutputs

## GET /v2/jobs/{job_id}/outputs

```json
{
  "openapi": "3.2.0",
  "info": {
    "title": "List available job outputs",
    "description": "Lingopal v2 public API for text translation, storage uploads, registered jobs, job workflows, and job outputs.",
    "version": "v2"
  },
  "servers": [
    {
      "url": "https://api.lingopal.ai"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    }
  ],
  "paths": {
    "/v2/jobs/{job_id}/outputs": {
      "get": {
        "tags": [
          "Job Outputs"
        ],
        "summary": "List available job outputs",
        "description": "Lists downloadable output types, locales, formats, and endpoints.",
        "operationId": "listJobOutputs",
        "security": [
          {
            "APIKeyHeader": []
          }
        ],
        "parameters": [
          {
            "name": "job_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Reusable registered job ID.",
              "title": "Job Id"
            },
            "description": "Reusable registered job ID."
          }
        ],
        "responses": {
          "200": {
            "description": "Available job outputs.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobOutputsResponse"
                }
              }
            }
          },
          "401": {
            "description": "Invalid authentication token."
          },
          "403": {
            "description": "Authentication credentials were not provided, or the authenticated account is restricted (detail.code: ACCOUNT_RESTRICTED)."
          },
          "404": {
            "description": "The requested resource was not found.",
            "content": {
              "application/json": {
                "example": {
                  "detail": "Job Not Found"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Job Outputs",
      "description": "Download transcripts, subtitles, and exported job outputs."
    }
  ],
  "components": {
    "schemas": {
      "JobOutputsResponse": {
        "properties": {
          "job_id": {
            "type": "string",
            "title": "Job Id"
          },
          "outputs": {
            "items": {
              "$ref": "#/components/schemas/JobOutput"
            },
            "type": "array",
            "title": "Outputs"
          }
        },
        "type": "object",
        "required": [
          "job_id",
          "outputs"
        ],
        "title": "JobOutputsResponse"
      },
      "HTTPValidationError": {
        "properties": {
          "detail": {
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
          }
        },
        "type": "object",
        "title": "HTTPValidationError"
      },
      "JobOutput": {
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "transcript",
              "subtitle"
            ],
            "title": "Type"
          },
          "locales": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "title": "Locales"
          },
          "formats": {
            "items": {
              "type": "string",
              "enum": [
                "json",
                "csv",
                "tsv",
                "txt",
                "srt",
                "vtt"
              ]
            },
            "type": "array",
            "title": "Formats"
          },
          "href": {
            "type": "string",
            "title": "Href"
          }
        },
        "type": "object",
        "required": [
          "type",
          "locales",
          "formats",
          "href"
        ],
        "title": "JobOutput"
      },
      "ValidationError": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          },
          "input": {
            "title": "Input"
          },
          "ctx": {
            "type": "object",
            "title": "Context"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      }
    },
    "securitySchemes": {
      "APIKeyHeader": {
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
